package main

import (
	"github.com/gin-gonic/gin"
	"time"
)

func main() {
	r := gin.Default()
	r.GET("/ping", func(c *gin.Context) {
		c.JSON(200, gin.H{
			"message":  "pong",
			"datetime": time.Now(),
		})
	})
	err := r.Run("localhost:8080")
	if err != nil {
		panic("Couldn't run the server. It failed with the error: " + err.Error())
	}
}
